Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | List of all members
eZ\Publish\Core\Persistence\TransformationProcessor\PreprocessedBased Class Reference

Class for processing a set of transformations, loaded from .tr files, on a string. More...

Inheritance diagram for eZ\Publish\Core\Persistence\TransformationProcessor\PreprocessedBased:

## Public Member Functions
| __construct (PcreCompiler $compiler, array $ruleFiles=[])
| Constructor. More...
Public Member Functions inherited from eZ\Publish\Core\Persistence\TransformationProcessor
| transform ($string, array $ruleNames=[])
| Transform the given string. More...
| transformByGroup ($string, $ruleGroup)
| Transform the given string by group. More...

## Protected Member Functions
| getRules ()
| Loads rules. More...

## Additional Inherited Members
Public Attributes inherited from eZ\Publish\Core\Persistence\TransformationProcessor
const | T_COMMENT = 1
const | T_WHITESPACE = 2
const | T_SECTION = 10
const | T_MAP = 11
const | T_REPLACE = 12
const | T_TRANSPOSE = 13
const | T_TRANSPOSE_MODULO = 14
Protected Attributes inherited from eZ\Publish\Core\Persistence\TransformationProcessor
| $ruleFiles = []
| $compiledRules = null
| $compiler = null

## Detailed Description

Class for processing a set of transformations, loaded from .tr files, on a string.

Definition at line 14 of file PreprocessedBased.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\TransformationProcessor\PreprocessedBased::__construct | ( | PcreCompiler | $compiler,
|  | array | $ruleFiles = `[]`
| ) |  |

Constructor.

Parameters

  \eZ\Publish\Core\Persistence\TransformationProcessor\PcreCompiler | $compiler |
  string | $installDir | Base dir for rule loading
  array | $ruleFiles |

Reimplemented from eZ\Publish\Core\Persistence\TransformationProcessor.

Definition at line 23 of file PreprocessedBased.php.

References eZ\Publish\Core\Persistence\TransformationProcessor\$compiler, and eZ\Publish\Core\Persistence\TransformationProcessor\$ruleFiles.

## Member Function Documentation

## ◆ getRules()

eZ\Publish\Core\Persistence\TransformationProcessor\PreprocessedBased::getRules | ( |  | ) |
| protected

Loads rules.

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\TransformationProcessor.

Definition at line 33 of file PreprocessedBased.php.

References eZ\Publish\Core\Persistence\TransformationProcessor\$compiledRules.

The documentation for this class was generated from the following file:

- PreprocessedBased.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.